BEGIN {change=0;}
/^PP  := \$\{DPCDEVREP\}\/\$\{MACHDIR\}\// {
  print "PP  := \$\{DPCBASEREP\}\/\$\{MACHDIR\}\/";
  print "PPH := \$\{HOME\}\/\$\{MACHDIR\}\/";
  change=1;
}
/^OBJ := \$\{PP\}\/Objs\// {
  print "OBJ := \$\{PPH\}\/Objs\/";
  change=1;
}
/^EXE := \$\{PP\}\/Exec\// {
  print "EXE := \$\{PPH\}\/Exec\/";
  change=1;
}
/^INC := \$\{DPCDEVREP\}\/Include\// {
  print "INC := \$\{DPCBASEREP\}\/Include\/";
  change=1;
}
{
  if(change==0) print $0
  change=0;
}
END {
print "# fin gene auto MakefileUser.h"
}
